Package org.acplt.oncrpc

## Interface OncRpcMessageType

-     public interface OncRpcMessageType

  A collection of constants used for ONC/RPC messages to identify the type of message. Currently, ONC/RPC messages can be either calls or replies. Calls are sent by ONC/RPC clients to servers to call a remote procedure (for you "ohohpies" that can be translated into the buzzword "method"). A server then will answer with a corresponding reply message (but not in the case of batched calls).
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ONCRPC_CALL` | Identifies an ONC/RPC call.
    `static int` | `ONCRPC_REPLY` | Identifies an ONC/RPC reply.

- - ### Field Detail

    - #### ONCRPC_CALL

          static final int ONCRPC_CALL

      Identifies an ONC/RPC call. By a "call" a client request that a server carries out a particular remote procedure.
      See Also:
        Constant Field Values

    - #### ONCRPC_REPLY

          static final int ONCRPC_REPLY

      Identifies an ONC/RPC reply. A server responds with a "reply" after a client has sent a "call" for a particular remote procedure, sending back the results of calling that procedure.
      See Also:
        Constant Field Values